# This file (c) Copyright 1998 - 2002 The MITRE Corporation
# 
# This file is part of the Galaxy Communicator system. It is licensed
# under the conditions described in the file LICENSE in the root 
# directory of the Galaxy Communicator system.

# Microsoft Developer Studio Generated NMAKE File, Based on cats.dsp
!IF "$(CFG)" == ""
CFG=cats - Win32 Debug
!MESSAGE No configuration specified. Defaulting to cats - Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "cats - Win32 Release" && "$(CFG)" != "cats - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "cats.mak" CFG="cats - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "cats - Win32 Release" (based on "Win32 (x86) Console Application")
!MESSAGE "cats - Win32 Debug" (based on "Win32 (x86) Console Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!IF  "$(CFG)" == "cats - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\cats.exe" "$(OUTDIR)\cats.bsc"


CLEAN :
	-@erase "$(INTDIR)\cats_array_list.obj"
	-@erase "$(INTDIR)\cats_array_list.sbr"
	-@erase "$(INTDIR)\cats_audio_format.obj"
	-@erase "$(INTDIR)\cats_audio_format.sbr"
	-@erase "$(INTDIR)\cats_capture.obj"
	-@erase "$(INTDIR)\cats_capture.sbr"
	-@erase "$(INTDIR)\cats_controller.obj"
	-@erase "$(INTDIR)\cats_controller.sbr"
	-@erase "$(INTDIR)\cats_data_in_broker.obj"
	-@erase "$(INTDIR)\cats_data_in_broker.sbr"
	-@erase "$(INTDIR)\cats_data_out_broker.obj"
	-@erase "$(INTDIR)\cats_data_out_broker.sbr"
	-@erase "$(INTDIR)\cats_event_listener.obj"
	-@erase "$(INTDIR)\cats_event_listener.sbr"
	-@erase "$(INTDIR)\cats_galaxy.obj"
	-@erase "$(INTDIR)\cats_galaxy.sbr"
	-@erase "$(INTDIR)\cats_lock_object.obj"
	-@erase "$(INTDIR)\cats_lock_object.sbr"
	-@erase "$(INTDIR)\cats_playback.obj"
	-@erase "$(INTDIR)\cats_playback.sbr"
	-@erase "$(INTDIR)\cats_ring_buffer.obj"
	-@erase "$(INTDIR)\cats_ring_buffer.sbr"
	-@erase "$(INTDIR)\cats_server.obj"
	-@erase "$(INTDIR)\cats_server.sbr"
	-@erase "$(INTDIR)\cats_source_data_line.obj"
	-@erase "$(INTDIR)\cats_source_data_line.sbr"
	-@erase "$(INTDIR)\cats_target_data_line.obj"
	-@erase "$(INTDIR)\cats_target_data_line.sbr"
	-@erase "$(INTDIR)\cats_thread.obj"
	-@erase "$(INTDIR)\cats_thread.sbr"
	-@erase "$(INTDIR)\cats_vad.obj"
	-@erase "$(INTDIR)\cats_vad.sbr"
	-@erase "$(INTDIR)\cats_vector.obj"
	-@erase "$(INTDIR)\cats_vector.sbr"
	-@erase "$(INTDIR)\pa_mixer.obj"
	-@erase "$(INTDIR)\pa_mixer.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\cats.bsc"
	-@erase "$(OUTDIR)\cats.exe"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MD /W3 /GX /O2 /I "..\portaudio_v17\pa_common" /I "..\..\galaxycommunicator2\include" /I "..\mdtm-0.2.0\include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "GAL_THREADS" /D "_REENTRANT" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\cats.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\cats.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\cats_array_list.sbr" \
	"$(INTDIR)\cats_audio_format.sbr" \
	"$(INTDIR)\cats_capture.sbr" \
	"$(INTDIR)\cats_controller.sbr" \
	"$(INTDIR)\cats_data_in_broker.sbr" \
	"$(INTDIR)\cats_data_out_broker.sbr" \
	"$(INTDIR)\cats_event_listener.sbr" \
	"$(INTDIR)\cats_galaxy.sbr" \
	"$(INTDIR)\cats_lock_object.sbr" \
	"$(INTDIR)\cats_playback.sbr" \
	"$(INTDIR)\cats_ring_buffer.sbr" \
	"$(INTDIR)\cats_server.sbr" \
	"$(INTDIR)\cats_source_data_line.sbr" \
	"$(INTDIR)\cats_target_data_line.sbr" \
	"$(INTDIR)\cats_thread.sbr" \
	"$(INTDIR)\cats_vad.sbr" \
	"$(INTDIR)\cats_vector.sbr" \
	"$(INTDIR)\pa_mixer.sbr"

"$(OUTDIR)\cats.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=..\..\galaxycommunicator2\lib\x86-nt\libgalaxy.lib ..\mdtm-0.2.0\lib\win32\Release\mdtm.lib ..\portaudio_v17\WinVC\Lib\PAStaticWMME.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib winmm.lib ws2_32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\cats.pdb" /machine:I386 /out:"$(OUTDIR)\cats.exe" 
LINK32_OBJS= \
	"$(INTDIR)\cats_array_list.obj" \
	"$(INTDIR)\cats_audio_format.obj" \
	"$(INTDIR)\cats_capture.obj" \
	"$(INTDIR)\cats_controller.obj" \
	"$(INTDIR)\cats_data_in_broker.obj" \
	"$(INTDIR)\cats_data_out_broker.obj" \
	"$(INTDIR)\cats_event_listener.obj" \
	"$(INTDIR)\cats_galaxy.obj" \
	"$(INTDIR)\cats_lock_object.obj" \
	"$(INTDIR)\cats_playback.obj" \
	"$(INTDIR)\cats_ring_buffer.obj" \
	"$(INTDIR)\cats_server.obj" \
	"$(INTDIR)\cats_source_data_line.obj" \
	"$(INTDIR)\cats_target_data_line.obj" \
	"$(INTDIR)\cats_thread.obj" \
	"$(INTDIR)\cats_vad.obj" \
	"$(INTDIR)\cats_vector.obj" \
	"$(INTDIR)\pa_mixer.obj"

"$(OUTDIR)\cats.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "cats - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\cats.exe" "$(OUTDIR)\cats.bsc"


CLEAN :
	-@erase "$(INTDIR)\cats_array_list.obj"
	-@erase "$(INTDIR)\cats_array_list.sbr"
	-@erase "$(INTDIR)\cats_audio_format.obj"
	-@erase "$(INTDIR)\cats_audio_format.sbr"
	-@erase "$(INTDIR)\cats_capture.obj"
	-@erase "$(INTDIR)\cats_capture.sbr"
	-@erase "$(INTDIR)\cats_controller.obj"
	-@erase "$(INTDIR)\cats_controller.sbr"
	-@erase "$(INTDIR)\cats_data_in_broker.obj"
	-@erase "$(INTDIR)\cats_data_in_broker.sbr"
	-@erase "$(INTDIR)\cats_data_out_broker.obj"
	-@erase "$(INTDIR)\cats_data_out_broker.sbr"
	-@erase "$(INTDIR)\cats_event_listener.obj"
	-@erase "$(INTDIR)\cats_event_listener.sbr"
	-@erase "$(INTDIR)\cats_galaxy.obj"
	-@erase "$(INTDIR)\cats_galaxy.sbr"
	-@erase "$(INTDIR)\cats_lock_object.obj"
	-@erase "$(INTDIR)\cats_lock_object.sbr"
	-@erase "$(INTDIR)\cats_playback.obj"
	-@erase "$(INTDIR)\cats_playback.sbr"
	-@erase "$(INTDIR)\cats_ring_buffer.obj"
	-@erase "$(INTDIR)\cats_ring_buffer.sbr"
	-@erase "$(INTDIR)\cats_server.obj"
	-@erase "$(INTDIR)\cats_server.sbr"
	-@erase "$(INTDIR)\cats_source_data_line.obj"
	-@erase "$(INTDIR)\cats_source_data_line.sbr"
	-@erase "$(INTDIR)\cats_target_data_line.obj"
	-@erase "$(INTDIR)\cats_target_data_line.sbr"
	-@erase "$(INTDIR)\cats_thread.obj"
	-@erase "$(INTDIR)\cats_thread.sbr"
	-@erase "$(INTDIR)\cats_vad.obj"
	-@erase "$(INTDIR)\cats_vad.sbr"
	-@erase "$(INTDIR)\cats_vector.obj"
	-@erase "$(INTDIR)\cats_vector.sbr"
	-@erase "$(INTDIR)\pa_mixer.obj"
	-@erase "$(INTDIR)\pa_mixer.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(OUTDIR)\cats.bsc"
	-@erase "$(OUTDIR)\cats.exe"
	-@erase "$(OUTDIR)\cats.ilk"
	-@erase "$(OUTDIR)\cats.pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MDd /W3 /Gm /GX /ZI /Od /I "..\portaudio_v17\pa_common" /I "..\..\galaxycommunicator2\include" /I "..\mdtm-0.2.0\include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "GAL_THREADS" /D "_REENTRANT" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\cats.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\cats.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\cats_array_list.sbr" \
	"$(INTDIR)\cats_audio_format.sbr" \
	"$(INTDIR)\cats_capture.sbr" \
	"$(INTDIR)\cats_controller.sbr" \
	"$(INTDIR)\cats_data_in_broker.sbr" \
	"$(INTDIR)\cats_data_out_broker.sbr" \
	"$(INTDIR)\cats_event_listener.sbr" \
	"$(INTDIR)\cats_galaxy.sbr" \
	"$(INTDIR)\cats_lock_object.sbr" \
	"$(INTDIR)\cats_playback.sbr" \
	"$(INTDIR)\cats_ring_buffer.sbr" \
	"$(INTDIR)\cats_server.sbr" \
	"$(INTDIR)\cats_source_data_line.sbr" \
	"$(INTDIR)\cats_target_data_line.sbr" \
	"$(INTDIR)\cats_thread.sbr" \
	"$(INTDIR)\cats_vad.sbr" \
	"$(INTDIR)\cats_vector.sbr" \
	"$(INTDIR)\pa_mixer.sbr"

"$(OUTDIR)\cats.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=..\..\galaxycommunicator2\lib\x86-nt\libgalaxy_debug.lib ..\mdtm-0.2.0\lib\win32\Debug\mdtm.lib ..\portaudio_v17\WinVC\Lib\PAStaticWMMED.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib winmm.lib ws2_32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\cats.pdb" /debug /machine:I386 /out:"$(OUTDIR)\cats.exe" /pdbtype:sept 
LINK32_OBJS= \
	"$(INTDIR)\cats_array_list.obj" \
	"$(INTDIR)\cats_audio_format.obj" \
	"$(INTDIR)\cats_capture.obj" \
	"$(INTDIR)\cats_controller.obj" \
	"$(INTDIR)\cats_data_in_broker.obj" \
	"$(INTDIR)\cats_data_out_broker.obj" \
	"$(INTDIR)\cats_event_listener.obj" \
	"$(INTDIR)\cats_galaxy.obj" \
	"$(INTDIR)\cats_lock_object.obj" \
	"$(INTDIR)\cats_playback.obj" \
	"$(INTDIR)\cats_ring_buffer.obj" \
	"$(INTDIR)\cats_server.obj" \
	"$(INTDIR)\cats_source_data_line.obj" \
	"$(INTDIR)\cats_target_data_line.obj" \
	"$(INTDIR)\cats_thread.obj" \
	"$(INTDIR)\cats_vad.obj" \
	"$(INTDIR)\cats_vector.obj" \
	"$(INTDIR)\pa_mixer.obj"

"$(OUTDIR)\cats.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("cats.dep")
!INCLUDE "cats.dep"
!ELSE 
!MESSAGE Warning: cannot find "cats.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "cats - Win32 Release" || "$(CFG)" == "cats - Win32 Debug"
SOURCE=.\src\cats_array_list.c

"$(INTDIR)\cats_array_list.obj"	"$(INTDIR)\cats_array_list.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_audio_format.c

"$(INTDIR)\cats_audio_format.obj"	"$(INTDIR)\cats_audio_format.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_capture.c

"$(INTDIR)\cats_capture.obj"	"$(INTDIR)\cats_capture.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_controller.c

"$(INTDIR)\cats_controller.obj"	"$(INTDIR)\cats_controller.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_data_in_broker.c

"$(INTDIR)\cats_data_in_broker.obj"	"$(INTDIR)\cats_data_in_broker.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_data_out_broker.c

"$(INTDIR)\cats_data_out_broker.obj"	"$(INTDIR)\cats_data_out_broker.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_event_listener.c

"$(INTDIR)\cats_event_listener.obj"	"$(INTDIR)\cats_event_listener.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_galaxy.c

"$(INTDIR)\cats_galaxy.obj"	"$(INTDIR)\cats_galaxy.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_lock_object.c

"$(INTDIR)\cats_lock_object.obj"	"$(INTDIR)\cats_lock_object.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_playback.c

"$(INTDIR)\cats_playback.obj"	"$(INTDIR)\cats_playback.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_ring_buffer.c

"$(INTDIR)\cats_ring_buffer.obj"	"$(INTDIR)\cats_ring_buffer.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_server.c

"$(INTDIR)\cats_server.obj"	"$(INTDIR)\cats_server.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_source_data_line.c

"$(INTDIR)\cats_source_data_line.obj"	"$(INTDIR)\cats_source_data_line.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_target_data_line.c

"$(INTDIR)\cats_target_data_line.obj"	"$(INTDIR)\cats_target_data_line.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_thread.c

"$(INTDIR)\cats_thread.obj"	"$(INTDIR)\cats_thread.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_vad.c

"$(INTDIR)\cats_vad.obj"	"$(INTDIR)\cats_vad.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\cats_vector.c

"$(INTDIR)\cats_vector.obj"	"$(INTDIR)\cats_vector.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


SOURCE=.\src\pa_mixer.c

"$(INTDIR)\pa_mixer.obj"	"$(INTDIR)\pa_mixer.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)



!ENDIF 

