/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_DATA_OUT_BROKER_H
#define _CATS_DATA_OUT_BROKER_H

typedef struct CatsDataOutBrokerPrivate_str *CatsDataOutBrokerPrivate;
typedef struct CatsDataOutBroker_str *CatsDataOutBroker;

#include "cats_server.h"
#include "cats_source_data_line.h"

CatsDataOutBroker CatsDataOutBroker_create(CatsServer server);

struct CatsDataOutBroker_str {
  CatsDataOutBrokerPrivate private;
  CatsDataOutBroker (*destroy)(CatsDataOutBroker this);
  CatsSourceDataLine (*getLine)(CatsDataOutBroker this);
};

#endif
