/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#include "cats_event.h"
#include <mdtm/mdtmmacros.h>

static CatsEvent CatsEvent_destroy(CatsEvent this);

CatsEvent CatsEvent_create(void *source, int eventType, int eventID)
{
  CatsEvent this=NULL;

  if ((this = (CatsEvent) calloc(1,sizeof(struct CatsEvent_str))) != NULL) {
    this->destroy = CatsEvent_destroy;
    this->source = source;
    this->eventType = eventType;
    this->eventID = eventID;
  }

  return this;
}

static CatsEvent CatsEvent_destroy(CatsEvent this)
{
  free(this);
  return NULL;
}
