/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_SWITCHBOARD_H
#define _CATS_SWITCHBOARD_H

typedef struct CatsSwitchboardPrivate_str *CatsSwitchboardPrivate;
typedef struct CatsSwitchboard_str *CatsSwitchboard;

#include "cats_object.h"
#include "cats_controller.h"

CatsSwitchboard CatsSwitchboard_create(CatsController controller);

struct CatsSwitchboard_str {
  CatsObject object;
  CatsSwitchboardPrivate private;
  CatsSwitchboard (*destroy)(CatsSwitchboard this);
  int (*open)(CatsSwitchboard this);
  int (*close)(CatsSwitchboard this);
  int (*isOpen)(CatsSwitchboard this);
  int (*addListener)(CatsSwitchboard this, CatsEventListener l);
  void (*removeListener)(CatsSwitchboard this, CatsEventListener l);
};

#endif
