/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  (c) Copyright 1997 - 2000 M.I.T.
  Permission is hereby granted, without written agreement or royalty fee, to 
  use, copy, modify, and distribute this software and its documentation for 
  any purpose, provided that the above copyright notice and the following 
  three paragraphs appear in all copies of this software.
  IN NO EVENT SHALL M.I.T. BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, 
  SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF 
  THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. HAS BEEN ADVISED OF 
  THE POSSIBILITY OF SUCH DAMAGE.
  M.I.T. SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED 
  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
  PURPOSE, AND NON-INFRINGEMENT.
  THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. HAS NO OBLIGATION 
  TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
*/



/* Prototypes from sql_server.c */
void  server_shutdown(void);
void  exit_handler(void);
void *server_exit(void);
void  do_command(char *query);

/* Prototypes from ora_interface.c */
void  sql_connect(char *dbname);
void  sql_disconnect(void);
int   exec_query(char *query);
void  ora_eprint(void);
int   start_query(char *query);
int   fetch_row(char *str);
void  fetch_header(char *str);
int   exec_imm(char *query);
void  print_row(void);
void  row_into_string(char *str);
void  head_row_into_string(char *str);
void  heading_into_string(int col, char *str);
int   col_into_string(int col, char *str);

