/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_ARRAY_LIST_H
#define _CATS_ARRAY_LIST_H

typedef struct CatsArrayListPrivate_str *CatsArrayListPrivate;
typedef struct CatsArrayList_str *CatsArrayList;

CatsArrayList CatsArrayList_create(int initialCapacity,
				   int capacityIncrement);

struct CatsArrayList_str {
  CatsArrayListPrivate private;
  CatsArrayList (*destroy)(CatsArrayList this);
  int (*add)(CatsArrayList this, void *data);
  void *(*elementAt)(CatsArrayList this, int index);
  void *(*firstElement)(CatsArrayList this);
  void *(*remove)(CatsArrayList this, int index);
  int (*size)(CatsArrayList this);
};

#endif
