/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_DELAY_LINE_H
#define _CATS_DELAY_LINE_H

typedef struct CatsDelayLinePrivate_str *CatsDelayLinePrivate;
typedef struct CatsDelayLine_str *CatsDelayLine;

CatsDelayLine CatsDelayLine_create(int bufferSize);

struct CatsDelayLine_str {
  CatsDelayLinePrivate private;

  CatsDelayLine (*destroy)(CatsDelayLine this);
  int (*readable)(CatsDelayLine this);
  int (*read)(CatsDelayLine this, char *b, int off, int len);
  int (*write)(CatsDelayLine this, char *b, int off, int len);
  void (*flush)(CatsDelayLine this);
  int (*getBufferSize)(CatsDelayLine this);
};

#endif
