/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_EVENT_LISTENER_H
#define _CATS_EVENT_LISTENER_H

typedef struct CatsEventListenerPrivate_str *CatsEventListenerPrivate;
typedef struct CatsEventListener_str *CatsEventListener;

#include "cats_event.h"

CatsEventListener CatsEventListener_create(void *source);

struct CatsEventListener_str {
  CatsEventListenerPrivate private;
  CatsEventListener (*destroy)(CatsEventListener this);
  void *(*getSource)(CatsEventListener this);
  void (*eventGenerated)(CatsEventListener listener, CatsEvent event);
};

#endif
