/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#include <stdlib.h>
#include "cats_object.h"

static CatsObject CatsObject_destroy(CatsObject this);

CatsObject CatsObject_create(void *handle, int objectType)
{
  CatsObject this=NULL;

  if ((this = (CatsObject) calloc(1,sizeof(struct CatsObject_str))) != NULL) {
    this->destroy = CatsObject_destroy;
    this->handle = handle;
    this->objectType = objectType;
  }

  return this;
}

static CatsObject CatsObject_destroy(CatsObject this)
{
  free(this);
  return NULL;
}
