/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_OBJECT_H
#define _CATS_OBJECT_H

/* EBG - Need to cross check this */

enum objectType {CATS_ARRAY_LIST,CATS_AUDIO_FORMAT,CATS_BUFFER,CATS_CAPTURE,
		 CATS_CONTROLLER,CATS_CONTROLLER_EVENT,CATS_DATA_IN_BROKER,
		 CATS_DATA_OUT_BROKER,CATS_DELAY_LINE,CATS_EVENT,
		 CATS_EVENT_LISTENER,CATS_GALAXY,CATS_LOCK_OBJECT,CATS_OBJECT,
		 CATS_PLAYBACK,CATS_REQUEST,CATS_REQUEST_QUEUE,
		 CATS_RING_BUFFER,CATS_SERVER,CATS_SERVER_EVENT,
		 CATS_SOURCE_DATA_LINE,CATS_TARGET_DATA_LINE,CATS_THREAD,
		 CATS_VAD,CATS_VAD_BUFFER,CATS_VECTOR};

typedef struct CatsObject_str *CatsObject;

CatsObject CatsObject_create(void *handle, int objectType);

struct CatsObject_str {
  void *handle;
  int objectType;
  CatsObject (*destroy)(CatsObject this);
};

#endif
