/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

/*
  This file (c) Copyright 2002 The MITRE Corporation
  
  This file is part of the Communicator Audio Telephony Server
  (CATS). It is licensed under the conditions described in the file
  COPYING in the root directory of the CATS distribution.
*/

#ifndef _CATS_SERVER_EVENT_H
#define _CATS_SERVER_EVENT_H

/* Event types */

#define CATS_AUDIO_BROKER_EVENT 0

/* Audio broker event IDs */

#define CATS_BROKER_IN_AVAILABLE 0
#define CATS_BROKER_IN_FINISHED 1
#define CATS_BROKER_IN_STARTED 2
#define CATS_BROKER_OUT_FINISHED 3
#define CATS_BROKER_OUT_STARTED 4
#define CATS_BROKER_OUT_RESEND 5

#include "cats_event.h"

#endif
