/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

#ifndef _CF_PHONE_LINE_H
#define _CF_PHONE_LINE_H

typedef struct CfPhoneLinePrivate_str *CfPhoneLinePrivate;
typedef struct CfPhoneLine_str *CfPhoneLine;

#include "cats_phone_line.h"

CfPhoneLine CfPhoneLine_create(char *portName);

struct CfPhoneLine_str {
  CfPhoneLinePrivate private;
  CfPhoneLine (*destroy)(CfPhoneLine this);
  CatsPhoneLine (*getPhoneLine)(CfPhoneLine this);
};

#endif
