/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

#ifndef _PA_MIXER_H
#define _PA_MIXER_H

typedef struct PaMixerPrivate_str *PaMixerPrivate;
typedef struct PaMixer_str *PaMixer;

#include "cats_target_data_line.h"
#include "cats_source_data_line.h"

PaMixer PaMixer_create(int halfDuplexEnabled);

struct PaMixer_str {
  PaMixerPrivate private;
  PaMixer (*destroy)(PaMixer this);
  CatsTargetDataLine (*getTargetDataLine)(PaMixer this);
  CatsSourceDataLine (*getSourceDataLine)(PaMixer this);
};

#endif
