/*
  This file (c) Copyright 1998 - 2002 The MITRE Corporation
  
  This file is part of the Galaxy Communicator system. It is licensed
  under the conditions described in the file LICENSE in the root 
  directory of the Galaxy Communicator system.
*/

#ifndef ___TRUETALKAPI_H__
#define ___TRUETALKAPI_H___

#include "TT_funcs.h"

typedef struct TT_DATA {
  int encoding;
  char *tts_host;
} TT_DATA;

int truetalkOpen(char *host);
int truetalkSay(char *text);
int truetalkClose();

#ifdef TRUETALK20
int truetalkCBConfig(TT_DATA *data, char *encoding,
		     int (*callBack) (char*, int, int ));
#else
int truetalkCBConfig(TT_DATA *data, char *encoding,
		     int (*callBack) (char*, int, int, struct TtsIndex*));
#endif

#endif
